'use strict';

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

var _require = require('chai');

const expect = _require.expect;


const globals = require('./globals');

describe('globals', () => {
  it('should load model, service and security', _asyncToGenerator(function* () {
    var _ref2 = yield globals.initialize();

    const models = _ref2.models,
          services = _ref2.services,
          securitys = _ref2.securitys,
          middlewares = _ref2.middlewares;

    expect(models).to.be.a('object');
    expect(services).to.be.a('object');
    expect(middlewares).to.be.a('object');
    expect(securitys).to.be.a('object');
    expect(securitys.basic).to.be.a('function');
  }));
});