'use strict';

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

var _require = require('chai');

const expect = _require.expect;


const parseAsync = require('./parse');

describe('swagger/parse', () => {
  it('should parse definition from directory', _asyncToGenerator(function* () {
    const definition = yield parseAsync();
    expect(definition.paths).to.be.a('object');
    expect(Object.keys(definition.paths)).to.not.eql(0);
    expect(definition.definitions).to.be.a('object');
    expect(Object.keys(definition.definitions)).to.not.eql(0);
    expect(definition.parameters).to.be.a('object');
    expect(Object.keys(definition.parameters)).to.not.eql(0);
    expect(definition['x-pages']).to.be.a('object');
    expect(Object.keys(definition['x-pages'])).to.not.eql(0);
    expect(definition['x-errors']).to.be.a('object');
    expect(Object.keys(definition['x-errors'])).to.not.eql(0);
  }));
});